<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/Box.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Box.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Box_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="SceneNode_8hpp.html">SceneNode.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;<a class="code" href="Attributes_8hpp.html">resources/Attributes.hpp</a>&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>{</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">   10</a></span><span class="keyword">enum class</span> <a class="code hl_enumeration" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a> { <a class="code hl_enumvalue" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da945d5e233cf7d6240f6b783b36a374ff">Left</a> = 0, <a class="code hl_enumvalue" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da4f1f6016fc9f3f2353c0cc7c67b292bd">Center</a>, <a class="code hl_enumvalue" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da92b09c7c48c520c3c55e497875da437c">Right</a> };</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">   12</a></span><span class="keyword">enum class</span> <a class="code hl_enumeration" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a> { <a class="code hl_enumvalue" href="namespacegg.html#a590f5e8566d42718b935361a0172b54daa4ffdcf0dc1f31b9acaf295d75b51d00">Top</a> = 0, <a class="code hl_enumvalue" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da4f1f6016fc9f3f2353c0cc7c67b292bd">Center</a>, <a class="code hl_enumvalue" href="namespacegg.html#a590f5e8566d42718b935361a0172b54da2ad9d63b69c4a10a5cc9cad923133bc4">Bottom</a> };</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="structgg_1_1Margins.html">   14</a></span><span class="keyword">struct </span><a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a> {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="structgg_1_1Margins.html#a1d17aff026c10a90fd73ac3f00368525">   15</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="structgg_1_1Margins.html#a1d17aff026c10a90fd73ac3f00368525">top</a> = 0;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="structgg_1_1Margins.html#acb43597fa9295443c852718bba306c29">   16</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="structgg_1_1Margins.html#acb43597fa9295443c852718bba306c29">bottom</a> = 0;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="structgg_1_1Margins.html#aba7be3f6df203634dbf071c8617d21f1">   17</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="structgg_1_1Margins.html#aba7be3f6df203634dbf071c8617d21f1">left</a> = 0;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="structgg_1_1Margins.html#ad18ea5ad98fd78b0accc8a1a358701ca">   18</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="structgg_1_1Margins.html#ad18ea5ad98fd78b0accc8a1a358701ca">right</a> = 0;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>};</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html">   23</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Box.html">Box</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#ac8d8d4980008f157dcb1383c7ce5366a">   26</a></span>    <a class="code hl_function" href="classgg_1_1Box.html#ac8d8d4980008f157dcb1383c7ce5366a">Box</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#aa0bb2bb7a0fcaa6cdd6a17198a354d32">   27</a></span>    <a class="code hl_function" href="classgg_1_1Box.html#aa0bb2bb7a0fcaa6cdd6a17198a354d32">~Box</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#ab3e3865aa6696fa6a0d2605c0468cd4d">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#ab3e3865aa6696fa6a0d2605c0468cd4d">SetSpacing</a>(<span class="keywordtype">float</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#ad2dd0441ce5ee92584feea0458b3f300">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#ad2dd0441ce5ee92584feea0458b3f300">SetHAlignment</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a> &amp;);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#aa51ab4d6d5a167a5cf2b47282c425987">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#aa51ab4d6d5a167a5cf2b47282c425987">SetVAlignment</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a> &amp;);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#ae8a633bb990cb6ffb570132795b2f59d">   34</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#ae8a633bb990cb6ffb570132795b2f59d">SetMargins</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a> &amp;);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">UpdateSize</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">UpdateAlignment</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a12f486950dec8ba2392cb7e84c248341">   40</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#a12f486950dec8ba2392cb7e84c248341">Align</a>() = 0;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">   41</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">CalculateSize</a>() = 0;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a3f38d7040b594ba8b50a2eb68fca1489">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Box.html#a3f38d7040b594ba8b50a2eb68fca1489">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a2faf2b2c38e1fcad32864d6508341c1f">   46</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a> <a class="code hl_variable" href="classgg_1_1Box.html#a2faf2b2c38e1fcad32864d6508341c1f">mMargins</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a3b32fb3eca95ea16a4284a8ffb30e10a">   48</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="classgg_1_1Box.html#a3b32fb3eca95ea16a4284a8ffb30e10a">mSpacing</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a31a98627cbfea1e07d005e0990cfc8d4">   50</a></span>    <a class="code hl_enumeration" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a> <a class="code hl_variable" href="classgg_1_1Box.html#a31a98627cbfea1e07d005e0990cfc8d4">mHorizontalAlignment</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="classgg_1_1Box.html#a845cb0d85489c9d806e98e010fdfec50">   51</a></span>    <a class="code hl_enumeration" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a> <a class="code hl_variable" href="classgg_1_1Box.html#a845cb0d85489c9d806e98e010fdfec50">mVerticalAlignment</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="classgg_1_1HBox.html">   54</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1HBox.html">HBox</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1Box.html">Box</a></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="classgg_1_1HBox.html#a8bf1300882886609e73c7af4f61591c9">   57</a></span>    <a class="code hl_function" href="classgg_1_1HBox.html#a8bf1300882886609e73c7af4f61591c9">HBox</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="classgg_1_1HBox.html#a23b232ea48d4c6ffe2d61165129ffffa">   58</a></span>    <a class="code hl_function" href="classgg_1_1HBox.html#a23b232ea48d4c6ffe2d61165129ffffa">~HBox</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="classgg_1_1HBox.html#a9b5848677dc5ddae12d18109c01ba5aa">   61</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1HBox.html#a9b5848677dc5ddae12d18109c01ba5aa">Align</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="classgg_1_1HBox.html#a66cd3c29d1efbdb02abe5e406fa19dd8">   62</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1HBox.html#a66cd3c29d1efbdb02abe5e406fa19dd8">CalculateSize</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>};</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="classgg_1_1VBox.html">   65</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1VBox.html">VBox</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1Box.html">Box</a></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>{</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="classgg_1_1VBox.html#a7b8f819858479839c1b440fab7677a20">   68</a></span>    <a class="code hl_function" href="classgg_1_1VBox.html#a7b8f819858479839c1b440fab7677a20">VBox</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="classgg_1_1VBox.html#abab8706221eb1f44e886849d91231240">   69</a></span>    <a class="code hl_function" href="classgg_1_1VBox.html#abab8706221eb1f44e886849d91231240">~VBox</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="classgg_1_1VBox.html#aad454db313d6b418e81a590a08c44397">   72</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1VBox.html#aad454db313d6b418e81a590a08c44397">Align</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="classgg_1_1VBox.html#a9957d5b722825a869efe585dff3f301b">   73</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1VBox.html#a9957d5b722825a869efe585dff3f301b">CalculateSize</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>};</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aAttributes_8hpp_html"><div class="ttname"><a href="Attributes_8hpp.html">Attributes.hpp</a></div></div>
<div class="ttc" id="aSceneNode_8hpp_html"><div class="ttname"><a href="SceneNode_8hpp.html">SceneNode.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Box_html"><div class="ttname"><a href="classgg_1_1Box.html">gg::Box</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:24</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a12f486950dec8ba2392cb7e84c248341"><div class="ttname"><a href="classgg_1_1Box.html#a12f486950dec8ba2392cb7e84c248341">gg::Box::Align</a></div><div class="ttdeci">virtual void Align()=0</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a2faf2b2c38e1fcad32864d6508341c1f"><div class="ttname"><a href="classgg_1_1Box.html#a2faf2b2c38e1fcad32864d6508341c1f">gg::Box::mMargins</a></div><div class="ttdeci">struct Margins mMargins</div><div class="ttdef"><b>Definition:</b> Box.hpp:46</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a31a98627cbfea1e07d005e0990cfc8d4"><div class="ttname"><a href="classgg_1_1Box.html#a31a98627cbfea1e07d005e0990cfc8d4">gg::Box::mHorizontalAlignment</a></div><div class="ttdeci">HAlignment mHorizontalAlignment</div><div class="ttdef"><b>Definition:</b> Box.hpp:50</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a3b32fb3eca95ea16a4284a8ffb30e10a"><div class="ttname"><a href="classgg_1_1Box.html#a3b32fb3eca95ea16a4284a8ffb30e10a">gg::Box::mSpacing</a></div><div class="ttdeci">float mSpacing</div><div class="ttdef"><b>Definition:</b> Box.hpp:48</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a3f38d7040b594ba8b50a2eb68fca1489"><div class="ttname"><a href="classgg_1_1Box.html#a3f38d7040b594ba8b50a2eb68fca1489">gg::Box::draw</a></div><div class="ttdeci">void draw(sf::RenderTarget &amp;target, sf::RenderStates states) const override</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a64e0d505df7a967deb758ded99722920"><div class="ttname"><a href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">gg::Box::UpdateAlignment</a></div><div class="ttdeci">void UpdateAlignment() override</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_a845cb0d85489c9d806e98e010fdfec50"><div class="ttname"><a href="classgg_1_1Box.html#a845cb0d85489c9d806e98e010fdfec50">gg::Box::mVerticalAlignment</a></div><div class="ttdeci">VAlignment mVerticalAlignment</div><div class="ttdef"><b>Definition:</b> Box.hpp:51</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_aa0bb2bb7a0fcaa6cdd6a17198a354d32"><div class="ttname"><a href="classgg_1_1Box.html#aa0bb2bb7a0fcaa6cdd6a17198a354d32">gg::Box::~Box</a></div><div class="ttdeci">~Box() override=default</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_aa51ab4d6d5a167a5cf2b47282c425987"><div class="ttname"><a href="classgg_1_1Box.html#aa51ab4d6d5a167a5cf2b47282c425987">gg::Box::SetVAlignment</a></div><div class="ttdeci">void SetVAlignment(const VAlignment &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_aa922ac30a375d9bf759da5d3c302947b"><div class="ttname"><a href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">gg::Box::UpdateSize</a></div><div class="ttdeci">void UpdateSize() override</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_ab3e3865aa6696fa6a0d2605c0468cd4d"><div class="ttname"><a href="classgg_1_1Box.html#ab3e3865aa6696fa6a0d2605c0468cd4d">gg::Box::SetSpacing</a></div><div class="ttdeci">void SetSpacing(float)</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_abf0376ad8f0a66a44a6456d878706c43"><div class="ttname"><a href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">gg::Box::CalculateSize</a></div><div class="ttdeci">virtual void CalculateSize()=0</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_ac8d8d4980008f157dcb1383c7ce5366a"><div class="ttname"><a href="classgg_1_1Box.html#ac8d8d4980008f157dcb1383c7ce5366a">gg::Box::Box</a></div><div class="ttdeci">Box(const Attributes &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_ad2dd0441ce5ee92584feea0458b3f300"><div class="ttname"><a href="classgg_1_1Box.html#ad2dd0441ce5ee92584feea0458b3f300">gg::Box::SetHAlignment</a></div><div class="ttdeci">void SetHAlignment(const HAlignment &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Box_html_ae8a633bb990cb6ffb570132795b2f59d"><div class="ttname"><a href="classgg_1_1Box.html#ae8a633bb990cb6ffb570132795b2f59d">gg::Box::SetMargins</a></div><div class="ttdeci">void SetMargins(const struct Margins &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1HBox_html"><div class="ttname"><a href="classgg_1_1HBox.html">gg::HBox</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:55</div></div>
<div class="ttc" id="aclassgg_1_1HBox_html_a23b232ea48d4c6ffe2d61165129ffffa"><div class="ttname"><a href="classgg_1_1HBox.html#a23b232ea48d4c6ffe2d61165129ffffa">gg::HBox::~HBox</a></div><div class="ttdeci">~HBox() override=default</div></div>
<div class="ttc" id="aclassgg_1_1HBox_html_a66cd3c29d1efbdb02abe5e406fa19dd8"><div class="ttname"><a href="classgg_1_1HBox.html#a66cd3c29d1efbdb02abe5e406fa19dd8">gg::HBox::CalculateSize</a></div><div class="ttdeci">void CalculateSize() override</div></div>
<div class="ttc" id="aclassgg_1_1HBox_html_a8bf1300882886609e73c7af4f61591c9"><div class="ttname"><a href="classgg_1_1HBox.html#a8bf1300882886609e73c7af4f61591c9">gg::HBox::HBox</a></div><div class="ttdeci">HBox(const Attributes &amp;attributes)</div></div>
<div class="ttc" id="aclassgg_1_1HBox_html_a9b5848677dc5ddae12d18109c01ba5aa"><div class="ttname"><a href="classgg_1_1HBox.html#a9b5848677dc5ddae12d18109c01ba5aa">gg::HBox::Align</a></div><div class="ttdeci">void Align() override</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html"><div class="ttname"><a href="classgg_1_1SceneNode.html">gg::SceneNode</a></div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:18</div></div>
<div class="ttc" id="aclassgg_1_1VBox_html"><div class="ttname"><a href="classgg_1_1VBox.html">gg::VBox</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:66</div></div>
<div class="ttc" id="aclassgg_1_1VBox_html_a7b8f819858479839c1b440fab7677a20"><div class="ttname"><a href="classgg_1_1VBox.html#a7b8f819858479839c1b440fab7677a20">gg::VBox::VBox</a></div><div class="ttdeci">VBox(const Attributes &amp;attributes)</div></div>
<div class="ttc" id="aclassgg_1_1VBox_html_a9957d5b722825a869efe585dff3f301b"><div class="ttname"><a href="classgg_1_1VBox.html#a9957d5b722825a869efe585dff3f301b">gg::VBox::CalculateSize</a></div><div class="ttdeci">void CalculateSize() override</div></div>
<div class="ttc" id="aclassgg_1_1VBox_html_aad454db313d6b418e81a590a08c44397"><div class="ttname"><a href="classgg_1_1VBox.html#aad454db313d6b418e81a590a08c44397">gg::VBox::Align</a></div><div class="ttdeci">void Align() override</div></div>
<div class="ttc" id="aclassgg_1_1VBox_html_abab8706221eb1f44e886849d91231240"><div class="ttname"><a href="classgg_1_1VBox.html#abab8706221eb1f44e886849d91231240">gg::VBox::~VBox</a></div><div class="ttdeci">~VBox() override=default</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_a590f5e8566d42718b935361a0172b54d"><div class="ttname"><a href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">gg::VAlignment</a></div><div class="ttdeci">VAlignment</div><div class="ttdef"><b>Definition:</b> Box.hpp:12</div></div>
<div class="ttc" id="anamespacegg_html_a590f5e8566d42718b935361a0172b54da2ad9d63b69c4a10a5cc9cad923133bc4"><div class="ttname"><a href="namespacegg.html#a590f5e8566d42718b935361a0172b54da2ad9d63b69c4a10a5cc9cad923133bc4">gg::VAlignment::Bottom</a></div><div class="ttdeci">@ Bottom</div></div>
<div class="ttc" id="anamespacegg_html_a590f5e8566d42718b935361a0172b54daa4ffdcf0dc1f31b9acaf295d75b51d00"><div class="ttname"><a href="namespacegg.html#a590f5e8566d42718b935361a0172b54daa4ffdcf0dc1f31b9acaf295d75b51d00">gg::VAlignment::Top</a></div><div class="ttdeci">@ Top</div></div>
<div class="ttc" id="anamespacegg_html_a8ae82840d9f1b628101cb24cf296c26d"><div class="ttname"><a href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">gg::HAlignment</a></div><div class="ttdeci">HAlignment</div><div class="ttdef"><b>Definition:</b> Box.hpp:10</div></div>
<div class="ttc" id="anamespacegg_html_a8ae82840d9f1b628101cb24cf296c26da4f1f6016fc9f3f2353c0cc7c67b292bd"><div class="ttname"><a href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da4f1f6016fc9f3f2353c0cc7c67b292bd">gg::HAlignment::Center</a></div><div class="ttdeci">@ Center</div></div>
<div class="ttc" id="anamespacegg_html_a8ae82840d9f1b628101cb24cf296c26da92b09c7c48c520c3c55e497875da437c"><div class="ttname"><a href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da92b09c7c48c520c3c55e497875da437c">gg::HAlignment::Right</a></div><div class="ttdeci">@ Right</div></div>
<div class="ttc" id="anamespacegg_html_a8ae82840d9f1b628101cb24cf296c26da945d5e233cf7d6240f6b783b36a374ff"><div class="ttname"><a href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26da945d5e233cf7d6240f6b783b36a374ff">gg::HAlignment::Left</a></div><div class="ttdeci">@ Left</div></div>
<div class="ttc" id="astructgg_1_1Margins_html"><div class="ttname"><a href="structgg_1_1Margins.html">gg::Margins</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:14</div></div>
<div class="ttc" id="astructgg_1_1Margins_html_a1d17aff026c10a90fd73ac3f00368525"><div class="ttname"><a href="structgg_1_1Margins.html#a1d17aff026c10a90fd73ac3f00368525">gg::Margins::top</a></div><div class="ttdeci">int top</div><div class="ttdef"><b>Definition:</b> Box.hpp:15</div></div>
<div class="ttc" id="astructgg_1_1Margins_html_aba7be3f6df203634dbf071c8617d21f1"><div class="ttname"><a href="structgg_1_1Margins.html#aba7be3f6df203634dbf071c8617d21f1">gg::Margins::left</a></div><div class="ttdeci">int left</div><div class="ttdef"><b>Definition:</b> Box.hpp:17</div></div>
<div class="ttc" id="astructgg_1_1Margins_html_acb43597fa9295443c852718bba306c29"><div class="ttname"><a href="structgg_1_1Margins.html#acb43597fa9295443c852718bba306c29">gg::Margins::bottom</a></div><div class="ttdeci">int bottom</div><div class="ttdef"><b>Definition:</b> Box.hpp:16</div></div>
<div class="ttc" id="astructgg_1_1Margins_html_ad18ea5ad98fd78b0accc8a1a358701ca"><div class="ttname"><a href="structgg_1_1Margins.html#ad18ea5ad98fd78b0accc8a1a358701ca">gg::Margins::right</a></div><div class="ttdeci">int right</div><div class="ttdef"><b>Definition:</b> Box.hpp:18</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
